Subject: Re: cvs on cygnus
From: Mark Tigges <[email-masked]>
To: Charles Wilson <[email-masked]>, [email-masked]
Date: Thu, 17 Aug 2000 12:04:37 -0700

Charles Wilson wrote:
> 
> Mark Tigges wrote:
> >
> > We are still having some problems with cvs.
> > For those responding to my previous message, thank
> > you.  I don't think I am using ash (there isn't one
> > in /bin), and the /cygnus.bat file specifically
> > specifies bash, so unless this is ash and improperly
> > named, I think I using bash.
> >
> > Anyways, I moved to NT (from 98) and no longer am
> > I getting errors about spurious ")" from cvs in
> > makefile rules.  But there is a new problem.
> >
> > The Makefile does a cd $(DEV)/src/$(MODULE) && cvs update
> > so that we can maintain a central browsing work
> > area.  It is also from here that master overnights
> > are built.  So it is pretty important that we
> > can dev the source changes from windows to do
> > windows' builds of our xplatform programs.
> >
> > Anywho, cvs gives this error:
> > cvs update: ignoring CVS/Root because it specfies a non-existent
> > repository /anm/sw/cvsroot
> >
> > The /anm/sw/cvsroot is a directory on our unix machine
> > where the cvs server is living.  This machine exports
> > /anm as an smb share and in cygwin it is 'mounted' as
> > mount //cardano/anm /anm
> > But cvs.exe doesn't know that, so it isn't working.
> > I am not sure what to do in this case.  Because if
> > somebody adds a new module on windows and devs it
> > the CVS/Root will likely contain:
> > :pserver:user@cardano:/anm/sw/cvsroot:
> > which will be completely meaningless to cvs accessing
> > from a unix machine.
> >
> > Does anybody have any suggestions?
> 
> I can't post on cygwin list currently, but I think the problem is that
> you don't have an empty directory to mount onto. To fix,
>  umount /anm
>  cd /
>  mkdir anm
>  mount //cardano/anm /anm
> 

No, no.  The mounting works fine.  Everything is great.
but cvs.exe doesn't know that /anm is really \\cardano\anm
as a program that is linked with cygnus (sort of) would.

Mark.

> See if that helps.
> 
> --Chuck

--
Want to unsubscribe from this list?
Send a message to [email-masked]